Subject: [manet] FW: New Version Notification for draft-dearlove-manet-ibs-00.txt

From: "Dearlove, Christopher (UK)" <[email-masked]>
Date: Fri, 27 Jun 2014 09:27:23 +0000

I obviously haven't got this configured to be automatically posted here, so here it is.

I'd like to ask our chairs to put this up for consideration as a WG item. There's also a request in to present it in Toronto.

(Also with them are requests to put multitopology up for WGLC and NHDP optimisation as a WG item, both just reissued IDs - the former twice, first to get editorial stuff in, the second to add an experiment section.)

Christopher

-- 
Christopher Dearlove
Senior Principal Engineer, Communications Group
Communications, Networks and Image Analysis Capability
BAE Systems Advanced Technology Centre
West Hanningfield Road, Great Baddow, Chelmsford, CM2 8HN, UK
Tel: +44 1245 242194 |  Fax: +44 1245 242124
[email-masked] | http://www.baesystems.com

BAE Systems (Operations) Limited
Registered Office: Warwick House, PO Box 87, Farnborough Aerospace Centre, Farnborough, Hants, GU14 6YU, UK
Registered in England & Wales No: 1996687

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] 
Sent: 26 June 2014 17:49
To: Dearlove, Christopher (UK); Dearlove, Christopher (UK)
Subject: New Version Notification for draft-dearlove-manet-ibs-00.txt

----------------------! WARNING ! ---------------------- This message originates from outside our organisation, either from an external partner or from the internet.
Consider carefully whether you should click on any links, open any attachments or reply.
Follow the 'Report Suspicious Emails' link on IT matters for instructions on reporting suspicious email messages.
--------------------------------------------------------

A new version of I-D, draft-dearlove-manet-ibs-00.txt has been successfully submitted by Christopher Dearlove and posted to the IETF repository.

Name:		draft-dearlove-manet-ibs
Revision:	00
Title:		Identity-Based Signatures for MANET Routing Protocols
Document date:	2014-06-26
Group:		Individual Submission
Pages:		10
URL:            http://www.ietf.org/internet-drafts/draft-dearlove-manet-ibs-00.txt
Status:         https://datatracker.ietf.org/doc/draft-dearlove-manet-ibs/
Htmlized:       http://tools.ietf.org/html/draft-dearlove-manet-ibs-00

Abstract:
   This document extends [RFC7182], which specifies a framework for, and
   specific examples of, integrity check values (ICVs) for packets and
   messages using the generalized packet/message format specified in
   [RFC5444].  It does so by defining an additional cryptographic
   function that allows the creation of an ICV that is an identity-based
   signature, defined according to the ECCSI (Elliptic Curve-Based
   Certificateless Signatures for Identity-Based Encryption) algorithm
   specified in [RFC6507].

Please note that it may take a couple of minutes from the time of submission until the htmlized version and diff are available at tools.ietf.org.

The IETF Secretariat

********************************************************************
This email and any attachments are confidential to the intended
recipient and may also be privileged. If you are not the intended
recipient please delete it from your system and notify the sender.
You should not copy it or use it for any purpose nor disclose or
distribute its contents to any other person.
********************************************************************

---

From: Thomas Clausen <[email-masked]>
Date: Fri, 27 Jun 2014 13:00:58 +0200

> On 27 Jun 2014, at 11:27, "Dearlove, Christopher (UK)" <[email-masked]> wrote:
> 

Having quickly read this through (I am the one person actually reading [email-masked], so I saw it when it came out), it looks interesting, and a straight-forward use of RFC7182 that'd be useful to have written up and to have codepoints assigned for.

I'd probably want to see a few nits picked in the document (my quick read-through identified a handful already), but that can easily be done as part of the process when the document is adopted as a WG item.

Which is also to say, that I STRONGLY support that it be adopted as such, as well as presented in Toronto (in that order, actually).

> (Also with them are requests to put multitopology up for WGLC and NHDP optimisation as a WG item, both just reissued IDs - the former twice, first to get editorial stuff in, the second to add an ex…

I can only emphasize Chris' request for these two being advanced in the process, also.

Thomas

> _______________________________________________
> manet mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/manet